/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for TimeSynchronizationChannelTypes
 */
public enum EnumCV_TimeSynchronizationChannelTypes 
{	
	//Time Synchronization Channel Types - CID 3090
	DIGITAL_TIMECODE_NOS_109001("109001"),
	ECG_BASED_GATING_SIGNAL_PROCESSED_109002("109002"),
	IRIG_B_TIMECODE_109003("109003"),
	X_RAY_FLUOROSCOPY_ON_SIGNAL_109004("109004"),
	X_RAY_ON_TRIGGER_109005("109005");

	private String value;

	EnumCV_TimeSynchronizationChannelTypes(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
